#include<stdio.h>

int main()

{


  int n,i,j,k;


  scanf("%d", &n);

  if(n<=0)
    {
      printf("-1\n");
      return 0;
    }


  for(j=0;j<n;j++)
    {

      for(i=0;i<j;i++)
	printf(" ");

      for(k=1;k<=n-i-1;k++)
	printf("*-");

      printf("*");

      printf("\n");

    }

      

      

}

